> For the complete documentation index, see [llms.txt](https://liquiidio.gitbook.io/unity-plugin-suite/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://liquiidio.gitbook.io/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-assets/atomicassetsapiclient-assets-assetsapi.md).

# AssetsApi

## Summary

| Members                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  | Descriptions                                                                                                                                                                                                              |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `public` [`AssetsDto`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-assets/atomicassetsapiclient-assets-assetsapi/atomicassetsapiclient-assets-assetsdto.md) [`Assets`](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1acdb8d694084b095eb723eeaeb4c23adc)`()`                                                                                                                                                                                             | This function will return a list of all the assets that are available for trading on the exchange.                                                                                                                        |
| `public` [`AssetsDto`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-assets/atomicassetsapiclient-assets-assetsapi/atomicassetsapiclient-assets-assetsdto.md) [`Assets`](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1adc55e98828b607f5b6163cf6f571a2e0)`(` [`AssetsUriParameterBuilder`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-assets/atomicassetsapiclient-assets-assetsuriparameterbuilder.md) `assetsUriParameterBuilder)` | This function will return a list of assets based on the parameters passed in.                                                                                                                                             |
| `public` [`AssetDto`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-assets/atomicassetsapiclient-assets-assetsapi/atomicassetsapiclient-assets-assetdto.md) [`Asset`](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1a8e72956dc29bff81c4855bf7c82c1959)`(string assetId)`                                                                                                                                                                                  | This function will return an AssetDto object from the API.                                                                                                                                                                |
| `public` [`StatsDto`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-statsdto.md) [`AssetStats`](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1a77880d824d173d2d7d5a205eee08a90e)`(string assetId)`                                                                                                                                                                                                                                                        | It returns the stats of an asset.                                                                                                                                                                                         |
| `public` [`LogsDto`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-logsdto.md) [`AssetLogs`](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1a7185cc74320faa73cbd1bdb5244002c5)`(string assetId)`                                                                                                                                                                                                                                                           | It returns the logs of an asset.                                                                                                                                                                                          |
| `public` [`LogsDto`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-logsdto.md) [`AssetLogs`](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1a4fe06e212c3432f70ecdb650d47a4a1d)`(string assetId,` [`AssetsUriParameterBuilder`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-assets/atomicassetsapiclient-assets-assetsuriparameterbuilder.md) `assetsUriParameterBuilder)`                                                              | This function returns a list of logs for a given asset.                                                                                                                                                                   |
| `private readonly string` [`_requestUriBase`](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1a1854c4909a1013a684af16fb52e8a387)                                                                                                                                                                                                                                                                                                                                              |                                                                                                                                                                                                                           |
| `private Uri` [`AssetsUri`](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1ae492984f10f05c5b2c55dff3eeac11c1)`()`                                                                                                                                                                                                                                                                                                                                                            | It returns a URI that points to the assets endpoint.                                                                                                                                                                      |
| `private Uri` [`AssetsUri`](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1af05b4c0efc0e0c3c29cfe110a2db404f)`(` [`AssetsUriParameterBuilder`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-assets/atomicassetsapiclient-assets-assetsuriparameterbuilder.md) `assetsUriParameterBuilder)`                                                                                                                                                                | It takes an `AssetsUriParameterBuilder` object as a parameter, and returns a `Uri` object that is the base URI for the `Assets` endpoint, with the parameters from the `AssetsUriParameterBuilder` object appended to it. |
| `private Uri` [`AssetUri`](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1aad28b71538e9bb09f0d021d107cb77ad)`(string assetId)`                                                                                                                                                                                                                                                                                                                                               | It takes an asset ID and returns a URI that can be used to request the asset from the API.                                                                                                                                |
| `private Uri` [`AssetStatsUri`](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1a42f959437e709f64ce97e7a7c8c02466)`(string assetId)`                                                                                                                                                                                                                                                                                                                                          | It returns a URI for the asset stats endpoint                                                                                                                                                                             |
| `private Uri` [`AssetLogsUri`](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1ac8295373df37326f5ccd5a9511ed9e2e)`(string assetId)`                                                                                                                                                                                                                                                                                                                                           | It returns a URI for the logs of a specific asset.                                                                                                                                                                        |
| `private Uri` [`AssetLogsUri`](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1ac05cfb4a5ff1c123d460a6999935c0cc)`(string assetId,` [`AssetsUriParameterBuilder`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-assets/atomicassetsapiclient-assets-assetsuriparameterbuilder.md) `assetsUriParameterBuilder)`                                                                                                                                              | It takes an assetId and an AssetsUriParameterBuilder and returns a Uri.                                                                                                                                                   |

## Members

**`public`** [**`AssetsDto`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-assets/atomicassetsapiclient-assets-assetsapi/atomicassetsapiclient-assets-assetsdto.md) [**`Assets`**](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1acdb8d694084b095eb723eeaeb4c23adc)**`()`**

This function will return a list of all the assets that are available for trading on the exchange.

#### Returns

A list of assets.

**`public`** [**`AssetsDto`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-assets/atomicassetsapiclient-assets-assetsapi/atomicassetsapiclient-assets-assetsdto.md) [**`Assets`**](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1adc55e98828b607f5b6163cf6f571a2e0)**`(`** [**`AssetsUriParameterBuilder`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-assets/atomicassetsapiclient-assets-assetsuriparameterbuilder.md) **`assetsUriParameterBuilder)`**

This function will return a list of assets based on the parameters passed in.

#### Parameters

* `AssetsUriParameterBuilder` This is a class that contains all the parameters that can be passed to the API.

#### Returns

A list of assets.

**`public`** [**`AssetDto`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-assets/atomicassetsapiclient-assets-assetsapi/atomicassetsapiclient-assets-assetdto.md) [**`Asset`**](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1a8e72956dc29bff81c4855bf7c82c1959)**`(string assetId)`**

This function will return an AssetDto object from the API.

#### Parameters

* `assetId` The id of the asset you want to retrieve.

#### Returns

An AssetDto object

**`public`** [**`StatsDto`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-statsdto.md) [**`AssetStats`**](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1a77880d824d173d2d7d5a205eee08a90e)**`(string assetId)`**

It returns the stats of an asset.

#### Parameters

* `assetId` The asset id of the asset you want to get the stats for.

#### Returns

A StatsDto object

**`public`** [**`LogsDto`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-logsdto.md) [**`AssetLogs`**](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1a7185cc74320faa73cbd1bdb5244002c5)**`(string assetId)`**

It returns the logs of an asset.

#### Parameters

* `assetId` The asset id of the asset you want to get the logs for.

#### Returns

A list of logs for the asset.

**`public`** [**`LogsDto`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-logsdto.md) [**`AssetLogs`**](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1a4fe06e212c3432f70ecdb650d47a4a1d)**`(string assetId,`** [**`AssetsUriParameterBuilder`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-assets/atomicassetsapiclient-assets-assetsuriparameterbuilder.md) **`assetsUriParameterBuilder)`**

This function returns a list of logs for a given asset.

#### Parameters

* `assetId` The id of the asset you want to get logs for.
* `AssetsUriParameterBuilder` This is a class that contains all the parameters that can be passed to the API.

#### Returns

A list of logs for the asset.

**`private readonly string`** [**`_requestUriBase`**](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1a1854c4909a1013a684af16fb52e8a387)

**`private Uri`** [**`AssetsUri`**](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1ae492984f10f05c5b2c55dff3eeac11c1)**`()`**

It returns a URI that points to the assets endpoint.

**`private Uri`** [**`AssetsUri`**](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1af05b4c0efc0e0c3c29cfe110a2db404f)**`(`** [**`AssetsUriParameterBuilder`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-assets/atomicassetsapiclient-assets-assetsuriparameterbuilder.md) **`assetsUriParameterBuilder)`**

It takes an `AssetsUriParameterBuilder` object as a parameter, and returns a `Uri` object that is the base URI for the `Assets` endpoint, with the parameters from the `AssetsUriParameterBuilder` object appended to it.

#### Parameters

* `AssetsUriParameterBuilder` A class that builds the query string parameters for the assets endpoint.

**`private Uri`** [**`AssetUri`**](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1aad28b71538e9bb09f0d021d107cb77ad)**`(string assetId)`**

It takes an asset ID and returns a URI that can be used to request the asset from the API.

#### Parameters

* `assetId` The ID of the asset you want to retrieve.

**`private Uri`** [**`AssetStatsUri`**](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1a42f959437e709f64ce97e7a7c8c02466)**`(string assetId)`**

It returns a URI for the asset stats endpoint

#### Parameters

* `assetId` The asset ID of the asset you want to get stats for.

**`private Uri`** [**`AssetLogsUri`**](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1ac8295373df37326f5ccd5a9511ed9e2e)**`(string assetId)`**

It returns a URI for the logs of a specific asset.

#### Parameters

* `assetId` The ID of the asset you want to get logs for.

**`private Uri`** [**`AssetLogsUri`**](#class_atomic_assets_api_client_1_1_assets_1_1_assets_api_1ac05cfb4a5ff1c123d460a6999935c0cc)**`(string assetId,`** [**`AssetsUriParameterBuilder`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-assets/atomicassetsapiclient-assets-assetsuriparameterbuilder.md) **`assetsUriParameterBuilder)`**

It takes an assetId and an AssetsUriParameterBuilder and returns a Uri.

#### Parameters

* `assetId` The asset ID of the asset you want to get logs for.
* `AssetsUriParameterBuilder` This is a class that builds the query string parameters for the request.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://liquiidio.gitbook.io/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-assets/atomicassetsapiclient-assets-assetsapi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
